Summary: Expire and archive user accounts
Name: smeserver-expire-accounts
Version: 0.1.7
Release: 1
License: MIT
Group: Applications/System
Source: %{name}-%{version}.tar.gz

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
BuildRequires: e-smith-devtools
BuildRequires: gettext

Requires: e-smith-base >= 5.2.0
Requires: qmail
Requires: qmail-autoresponder
Requires: perl(DateTime)
Requires: xz
Requires: /bin/tar

%description
With this, you can set an expiration date for user accounts

%prep
%setup -q -n %{name}-%{version}

%build
perl createlinks
/sbin/e-smith/generate-lexicons
%{__mkdir_p} root/home/e-smith/files/archives/users
%if 0%{?rhel} <= 5
%{__mkdir_p} root/usr/lib/perl5/site_perl/esmith/FormMagick/Panel/
mv root/usr/share/perl5/vendor_perl/esmith/FormMagick/Panel/expireaccounts.pm \
  root/usr/lib/perl5/site_perl/esmith/FormMagick/Panel/
%endif

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
  --dir /home/e-smith/files/archives 'attr(0750,root,root)' \
  > %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%pre

%post

%preun

%changelog
* Mon Mar 08 2021 Daniel Berteaud <daniel@firewall-services.com> 0.1.7-1
- new package built with tito

* Mon Mar 8 2021 Daniel Berteaud <daniel@firewall-services.com> - 0.1.7-1.sme
- Suspend email delivery during archiving
- Licence is MIT
- Rebuild using tito

* Mon May 30 2016 Daniel Berteaud <daniel@firewall-services.com> - 0.1.6-1.sme
- Fix a typo in en-us locale label for DESC_WARN_USER

* Wed May 11 2016 Daniel Berteaud <daniel@firewall-services.com> - 0.1.5-1.sme
- Use xz as default compression format

* Tue Apr 12 2016 Daniel Berteaud <daniel@firewall-services.com> - 0.1.4-1.sme
- Accept current day as a future date
- Requires xz

* Tue Apr 12 2016 Daniel Berteaud <daniel@firewall-services.com> - 0.1.3-1.sme
- Add tar in the archives extension

* Mon Apr 11 2016 Daniel Berteaud <daniel@firewall-services.com> - 0.1.2-1.sme
- Only list expired accounts in the inactive accounts table

* Mon Apr 4 2016 Daniel Berteaud <daniel@firewall-services.com> - 0.1.1-1.sme
- Fix permissions on /home/e-smith/files/archives

* Wed Mar 30 2016 Daniel Berteaud <daniel@firewall-services.com> - 0.1.0-1.sme
- Initial release
